lldptool(8)

NAME
APP - Show / manipulate APP TLV configuration

SYNOPSIS
lldptool -t -i ethx -V APP [-c app]

lldptool -T -i ethx -V APP [-d] app=prio,sel,pid

DESCRIPTION
The APP TLV is an informational TLV and will advertise the current configured application table. If the peer APP TLV and a local APP TLV match the same selector and protocol field the local parameter is used.

ARGUMENTS

app Configures a local application data field using the three parameters: priority (prio), selector (sel), and protocol (pid). The -d option can be provided to remove an entry which matches the three parameters.

Theory of Operations
The APP TLV is an informational TLV for most end stations. It is not expected that setting APP data should be required. Peer data will be processed and added to the application data table by default assuming there does not already exist a local entry with matching selector and priority fields.

By adding APP data to the application table it is available for applications, eg iscsid, to query. Applications query for a specific protocol and selector and may use this data to map traffic to the corresponding traffic class.

EXAMPLE & USAGE

Configure ISCSI application for priority 4 on eth2
    lldptool -T -i eth2 -V APP app=4,2,3260

Configure FCoE application for priority 3 on eth2
    lldptool -T -i eth2 -V APP app=3,1,35078

Remove FCoE application for priority 3 on eth2
    lldptool -T -i eth2 -V APP -d app=3,1,35078

Display locally configured application table on eth2
    lldptool -t -i eth2 -V APP -c app

Display last transmitted APP TLV on eth2
    lldptool -t -i eth2 -V APP

SOURCE

o   IEEE 802.1Qaz (http://www.ieee802.org/1/pages/dcbridges.html)

SEE ALSO
lldptool(8), lldpad(8)

AUTHOR
John Fastabend